Friday, 03 June 2022
  1 Replies
  768 Visits
  Subscribe
I have downloaded compiled modified esegece INDY version and replace original indy 10.6 . After copiling my app I have situation that SMTP sending email to office365 server is working on WIN10 , but not on WIN 7 . I checked WIN 7 computer on "https://www.howsmyssl.com/" website and TLS 1.3 is supported. The error my D7 program is showing is "EIdSMTPReplyError exception message : TLS 1.0 and 1.1 are not supported by your organization. Please contact your administrator. [VI1PR0401CA0018.eurprd04.prod.outlook.com]."

I put OPENSSL 1.1.1 and 3.0.3. dlls in exe directory.
Any idea what I'm doing wrong??
1 year ago
·
#1103
Hello,

The free Indy version only supports openSSL 1.1.1, openSSL 3.0 is only supported with a newer Indy version and is only available for Enterprise customers.
I think that if you open https://www.howsmyssl.com it tests the web-browser connection, not your indy SMTP application.
The error means the client is trying to connect using a old TLS protocol which is not supported by the server, maybe the application is misconfigured, is still pointing to old Indy version, the openssl libraries are not updated...

Kind Regards,
Sergio
  • Page :
  • 1
There are no replies made for this post yet.
Submit Your Response
Upload files or images for this discussion by clicking on the upload button below.
Supported: gif,jpg,png,jpeg,zip,rar,pdf
· Insert · Remove
  Upload Files (Maximum 10MB)